Subject: [bug#32001] [PATCH] gnu: Add pocl.

From: Gaaming Jyun <[email-masked]>
Date: Mon, 2 Jul 2018 16:27:43 +0000

Ludovic Courtès writes:

> Hello Fis,
>
> Fis Trivial <[email-masked]> skribis:
>
>> * gnu/packages/opencl.scm (pocl): New variable.
>
> So this fixes the linker issue you mentioned before?  Does it depend on
> another patch?
>

> Thanks,
> Ludo’.

Yes, it fixes the linker issue, on pthread backend. Seems so trivial
... I still don't know why I would have to read the source code of
ld-wrapper, part of llvm and pocl to come up with this .. :(

Anyway, all unit tests passed. And I have boost-compute at my own repo
which uses pocl as native-input for testing in store, runs very well.

cheers

Jiaming